store | blogs | forums | twitter | facebook | wiki | downloads | support portal
Atomic Secure Linux
It is currently Fri Aug 29, 2014 4:00 am

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]




Post new topic Reply to topic  [ 9 posts ] 
Author Message
 Post subject: Plesk auto update fail
Unread postPosted: Thu Aug 20, 2009 11:11 am 
Offline
Forum User
Forum User

Joined: Mon Aug 27, 2007 4:09 am
Posts: 19
i'm trying to update my plesk panel, but ... looks like that for some reason i can't dowload pakages from plesk servers ... i've got :
Code:
Downloading the file PSA_9.2.2/update-rpm-CentOS-5-i386/update-9.2.2-cos5-i386.hdr.gz: 10%..20%..30%..40%..50%..60%..70%..ERROR: Failed to download the ...
Downloading the file PSA_9.2.2/dist-rpm-CentOS-5-i386/base/plesk-skins-9.2.2-0.284681.noarch.rpm: 10%..20%..30%..40%..50%..ERROR: Failed to download the ...
Downloading the file PSA_9.2.2/dist-rpm-CentOS-5-i386/base/psa-9.2.2-cos5.build92090714.19.i586.rpm: 10%..ERROR: Failed to download the package ...

and so on ...
not always the same pakage not always the same percentage ...
some other ever experienced something similar ?
what can i do ?
here's my last response from server

Code:
Parallels Products Installer 3.4.1 (build at 2009-02-04 18:09 svn rev. 0) started at (timezone CET) Thu Aug 20 16:59:31 2009
Command line args: /usr/local/psa/admin/bin/autoinstaller --enable-xml-output --source-type=plesk --target=/root/psa --select-release-id=PLESK_9_2_2 --notify-email=lifeless85@gmail.com --install-component=base --install-component=api --install-component=pmm-vz --install-component=psa-firewall --install-component=psa-vpn --install-component=watchdog --install-component=spamassassin --install-component=backup-vz

Try to find rcfile...
Autoinstaller rcfile not found.
Checking hostname is sucessfull.
Opsys detected as: os_vendor=CentOS os_name=Linux version=5 arch=i686 environment=vz
Final opsys (with overriding) is: os_vendor=CentOS os_name=Linux version=5 arch=i686 environment=vz
Downloading the file products.inf3: 100% done.
Downloading the file plesk.inf3: 11%..21%..31%..47%..51%..62%..78%..96%..100% done.
Downloading the file sitebuilder.inf3: 35%..75%..100% done.
Downloading the file sso.inf3: 24%..51%..78%..100% done.
repository: Get brief packages info for all sources
Checking for installed packages...
Downloading the file PSA_9.2.2/plesk-9.2.2-cos5-i386.inf3: 12%..21%..30%..40%..50%..61%..70%..80%..91%..100% done.
Virtuozzo was detected. Trying to connect to VZAgent...Warning! Failed to connect to VZAgent: open: No such device or address
repository: Get brief packages info for all sources
Detecting installed product components.
Component plesk/base: mode upgrade,  installed=1216664092,  available=1247574221
Checking if key update required for component plesk/base
Config allows upgrade from version 9.0 without key update
Currently installed component version is 8.6.0-cos5.build86080722.00
Keyupgrade need for plesk/base
Component plesk/psa-autoinstaller: mode up2date,  installed=1233749526,  available=1233749526
Component plesk/php5: mode upgrade,  installed=1216664276,  available=1247574222
Component plesk/postgresql: mode up2date,  installed=1200149109,  available=1200149109
Component plesk/vault: mode upgrade,  installed=1197611869,  available=1247574212
Component plesk/ppwse: mode install,  installed=0,  available=1247574192
Component plesk/api: mode upgrade,  installed=1222739634,  available=1247574142
Component plesk/pmm-vz: mode upgrade,  installed=1222739639,  available=1247574110
Component plesk/sb-publish: mode install,  installed=0,  available=1179887960
Component plesk/sbm: mode install,  installed=0,  available=1220864885
Component plesk/cf-support: mode install,  installed=0,  available=1247574203
Component plesk/miva: mode install,  installed=0,  available=1247574205
Component plesk/billing: mode install,  installed=0,  available=1245902780
Component plesk/mod-bw: mode install,  installed=0,  available=1194490362
Component plesk/asp: mode upgrade,  installed=1200369705,  available=1223517992
Component plesk/java: mode install,  installed=0,  available=1247574147
Component plesk/mod_python: mode up2date,  installed=1168104591,  available=1168104591
Component plesk/ruby: mode install,  installed=0,  available=1247574204
Component plesk/qmail: mode upgrade,  installed=1222739646,  available=1247574219
Component plesk/postfix: mode install,  installed=0,  available=1247574219
Component plesk/psa-firewall: mode upgrade,  installed=1216663966,  available=1247574146
Component plesk/psa-vpn: mode upgrade,  installed=1216664151,  available=1247574175
Component plesk/psa-fileserver: mode install,  installed=0,  available=1247574140
Component plesk/sshterm: mode upgrade,  installed=1216663869,  available=1228112978
Component plesk/watchdog: mode upgrade,  installed=1221225790,  available=1247574196
Component plesk/cs-gs: mode install,  installed=0,  available=1247574144
Component plesk/battlefield: mode install,  installed=0,  available=1247574185
Component plesk/bf2: mode install,  installed=0,  available=1247574202
Component plesk/mailman: mode upgrade,  installed=1216664229,  available=1247574201
Component plesk/kav: mode install,  installed=0,  available=1247574210
Component plesk/drweb: mode install,  installed=0,  available=1247574126
Component plesk/spamassassin: mode upgrade,  installed=1216663977,  available=1247574150
Component plesk/backup-vz: mode upgrade,  installed=1222739637,  available=1247574201
Component plesk/de-DE-locale: mode install,  installed=0,  available=1247208745
Component plesk/ja-JP-locale: mode install,  installed=0,  available=1247208828
Component plesk/es-ES-locale: mode install,  installed=0,  available=1247208770
Component plesk/ru-RU-locale: mode install,  installed=0,  available=1247208847
Component plesk/fr-FR-locale: mode install,  installed=0,  available=1247208789
Component plesk/it-IT-locale: mode upgrade,  installed=1216193040,  available=1247208808
Component plesk/zh-CN-locale: mode install,  installed=0,  available=1247208867
Component plesk/zh-TW-locale: mode install,  installed=0,  available=1247208885
Component plesk/nl-NL-locale: mode install,  installed=0,  available=1247208904
Component plesk/horde: mode upgrade,  installed=1216664186,  available=1247574183
Component plesk/atmail: mode install,  installed=0,  available=1247574122
Exchanging information with licensing server.
Downloading the file PSA_9.2.2/plesk_getkeyinfo.sh: 100% done.
Ask KA server for key update: product=PleskLogin current key number=PLSK008071080005 to version=9.2.2
KA server said: you can upgrade your key automaticaly (result code is 0)
repository: Get full packages info for all sources
Retrieving information about the installed packages...
read cache file
Downloading the file PSA_9.2.2/dist-rpm-CentOS-5-i386/build-9.2.2-cos5-i386.hdr.gz: 10%..20%..30%..40%..50%..60%..70%..80%..90%..100% done.
Downloading the file PSA_9.2.2/update-rpm-CentOS-5-i386/update-9.2.2-cos5-i386.hdr.gz: 10%..20%..30%..40%..50%..60%..70%..80%..90%..100% done.
Downloading the file PSA_9.2.2/thirdparty-rpm-CentOS-5-i386/thirdparty-9.2.2-cos5-i386.hdr.gz: 17%..23%..41%..52%..64%..85%..94%..100% done.
Determining the packages that need to be installed.
Unhappy catched; try to resolve again.
Unhappy catched; try to resolve again.
A dependency problem is found: required package psa-selinux-9.2.2-cos5.build92090714.19.noarch (b 0x95ae938 source=0x864f350 P:3 R:2) conflicts with policycoreutils-1.33.12-12.el5.i386 (s 0x85c69b8 source=0x85e9cb0 P:178 R:41). No upgrade or obsolete solution was found for policycoreutils. Try to add policycoreutils to removable list.Problem occured during searching conflicts for package psa-selinux-9.2.2-cos5.build92090714.19.noarch (b 0x95ae938 source=0x864f350 P:3 R:2)Unhappy catched; try to resolve again.
Check package set before installation
Downloading the file PSA_9.2.2/dist-rpm-CentOS-5-i386/base/plesk-base-9.2.2-cos5.build92090714.19.i586.rpm: skipped because of md5 checksum match.
Downloading the file PSA_9.2.2/dist-rpm-CentOS-5-i386/base/plesk-skins-9.2.2-0.284681.noarch.rpm: 10%..20%..30%..40%..50%..60%..70%..80%..90%..100% done.
Downloading the file PSA_9.2.2/dist-rpm-CentOS-5-i386/base/psa-9.2.2-cos5.build92090714.19.i586.rpm: 10%..ERROR: Failed to download the package http://autoinstall.plesk.com/PSA_9.2.2/dist-rpm-CentOS-5-i386/base/psa-9.2.2-cos5.build92090714.19.i586.rpm:
transfer closed with 13589522 bytes remaining to read
Not all packages were installed.
Please try installing packages again later.
Please, resolve the above problem and try installing the packages again.
If you cannot resolve the problem on your own, contact product technical support for assistance.


Top
 Profile  
 
 Post subject: Re: Plesk auto update fail
Unread postPosted: Thu Aug 20, 2009 11:14 am 
Offline
Forum Regular
Forum Regular

Joined: Mon Apr 10, 2006 12:55 pm
Posts: 672
Have you tried using yum instead with the Plesk repo? Tends to avoid problems like this.

_________________
"Its not a mac. I run linux... I'm actually cool." - scott


Top
 Profile  
 
 Post subject: Re: Plesk auto update fail
Unread postPosted: Thu Aug 20, 2009 11:22 am 
Offline
Forum User
Forum User

Joined: Mon Aug 27, 2007 4:09 am
Posts: 19
admins on my provider removoed yum and all of it's repository to avoid "complication", so no, not tried
the server is a CentOS release 5 (Final)


Top
 Profile  
 
 Post subject: Re: Plesk auto update fail
Unread postPosted: Thu Aug 20, 2009 11:57 am 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 7888
Location: earth
That was kind of a dick move :P Tell them not to do that.


Top
 Profile  
 
 Post subject: Re: Plesk auto update fail
Unread postPosted: Fri Aug 21, 2009 4:04 am 
Offline
Forum User
Forum User

Joined: Mon Aug 27, 2007 4:09 am
Posts: 19
Yes it is ...
well so someone can tell me where i can find a yum rpm for centos 5 ?
and how to configure it, so i have only a plesk repository ?


Top
 Profile  
 
 Post subject: Re: Plesk auto update fail
Unread postPosted: Fri Aug 21, 2009 9:04 am 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 7888
Location: earth
The atomic installer will set up yum for you:

wget -q -O - http://www.atomicorp.com/installers/atomic |sh


Top
 Profile  
 
 Post subject: Re: Plesk auto update fail
Unread postPosted: Fri Aug 21, 2009 10:16 am 
Offline
Forum User
Forum User

Joined: Mon Aug 27, 2007 4:09 am
Posts: 19
Thanks scott i'm watching the script right now, i'll give feedback as soon as i test it,
nice work!


Top
 Profile  
 
 Post subject: Re: Plesk auto update fail
Unread postPosted: Mon Aug 24, 2009 4:17 am 
Offline
Forum User
Forum User

Joined: Mon Aug 27, 2007 4:09 am
Posts: 19
testing now,
yum installed successfull,
i've selected to enable plesk repo,
and to use repo for plesk 9 (i have plesk 8.6 but i'd like to move to a newer one)

now gave yum update and i'm watching chars flushing on my screen, will tell more in minutes ...


Top
 Profile  
 
 Post subject: Re: Plesk auto update fail
Unread postPosted: Mon Aug 24, 2009 5:04 am 
Offline
Forum User
Forum User

Joined: Mon Aug 27, 2007 4:09 am
Posts: 19
uhm a little curiosity prevented me to confirm the operations needed to be done in order to update,
now that packages have been alredy downloaded, i've resubmitted the plesk update procedure wich now gone successfull !
great work
and great that now i have yum !


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 9 posts ] 

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group